metadata:
  name: ribchester
  format: "Apertis Test Definition 1.0"
  image-type: any
  image-arch: any
  type: functional
  exec-type: automated
  priority: critical
  maintainer: "Apertis Project"
  description: "Ribchester library test."

  macro_modules_preconditions: ribchester

  expected:
    - "All tests should pass (ok). The output should be similar to:"
    - |
        >test.name0...ok
        test.name1...ok
        test.name2...ok
        test.nameN...ok

install:
  deps:
  - build-essential
  - devscripts
  - gnome-desktop-testing
  - python3-debian
  - ribchester-dev
  - ribchester-tests
  steps:
  # Download in /tmp directory
  - cd /tmp/
  - apt source ribchester
  - chown user:user -R /tmp/ribchester-*

run:
  steps:
    - "# Execute the following command:"
    - common/run-test-in-systemd --timeout=900 --chdir /tmp/ribchester-* --user=user --name=ribchester -- sadt --verbose

parse:
  pattern: '^(?P<test_case_id>[a-zA-Z0-9_\-\./]+)\s...\s(?P<result>ok|FAIL|SKIP)'
  fixupdict:
    ok: pass
    FAIL: fail
    SKIP: skip
